> For the complete documentation index, see [llms.txt](https://docs.defisaver.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.defisaver.com/actions/eulerv2/eulerv2paybackwithshares.md).

# EulerV2PaybackWithShares

### Description

Payback debt asset to a Euler vault using share tokens

### Action ID

`0x0b57c419`

### SDK Action

```ts
const eulerV2PaybackWithSharesAction = new dfs.actions.eulerV2.EulerV2PaybackWithSharesAction(
    vault,
    account,
    from,
    amount
);
```

### Action Type

`STANDARD_ACTION`

### Input Parameters

```solidity
    /// @param vault The address of the vault
    /// @param account The address of the Euler account for which debt is paid back, defaults to user's wallet
    /// @param from The address of the Euler account for which shares are burned to pay back debt for 'account', defaults to user's wallet
    /// @param amount The amount of asset tokens to be paid back (uint256.max for full debt repayment or up to the available deposit shares in 'from' account)
    struct Params {
        address vault;
        address account;
        address from;
        uint256 amount;
    }
```

### Return Value

```solidity
return bytes32(paybackAmount);
```

### Events and Logs

```solidity
emit ActionEvent("EulerV2PaybackWithShares", logData);
logger.logActionDirectEvent("EulerV2PaybackWithShares", logData);
bytes memory logData = abi.encode(params);
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.defisaver.com/actions/eulerv2/eulerv2paybackwithshares.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
